Subject: Re: bug#28625: [PROPOSED] Speed up (format "%s" STRING) and the like

From: Philipp Stephani <[email-masked]>
Date: Sat, 07 Oct 2017 10:56:52 +0000

Eli Zaretskii <[email-masked]> schrieb am Sa., 7. Okt. 2017 um 11:49 Uhr:

> > From: Philipp Stephani <[email-masked]>
> > Date: Sat, 07 Oct 2017 09:12:16 +0000
> > Cc: [email-masked]
> >
> > Shouldn't this at least be documented in the "Incompatible Lisp changes"
> section of NEWS?
>
> If it's incompatible, sure.  Is it?  Can you show the effect of the
> incompatibility?
>

$ emacs -Q -batch -eval '(let* ((a "a") (b (format "%s" a))) (aset a 0 ?b)
(print b))'

With Emacs 25.3 this prints "a", with current master it prints "b".